diff -Naur -x '*.fasl' -x '*.o' -x '*.so' -x '*~' -x '*.lpr' -x '*.png' -x '.cvs*' -x 'CVS*' cl-cairo2-latest.org/cairo.lisp cl-cairo2-latest/cairo.lisp
--- cl-cairo2-latest.org/cairo.lisp	2008-05-03 19:28:51.000000000 +0200
+++ cl-cairo2-latest/cairo.lisp	2008-05-03 19:43:07.000000000 +0200
@@ -6,7 +6,7 @@
 
 ;; (use-foreign-library libcairo)
 
-(load-foreign-library '(:default "libcairo"))
+(load-foreign-library '(:or "libcairo" "libcairo.so.2"))
 
 (defun deg-to-rad (deg)
   "Convert degrees to radians."
diff -Naur -x '*.fasl' -x '*.o' -x '*.so' -x '*~' -x '*.lpr' -x '*.png' -x '.cvs*' -x 'CVS*' cl-cairo2-latest.org/cl-cairo2-swig.lisp cl-cairo2-latest/cl-cairo2-swig.lisp
--- cl-cairo2-latest.org/cl-cairo2-swig.lisp	2008-05-03 19:28:52.000000000 +0200
+++ cl-cairo2-latest/cl-cairo2-swig.lisp	2008-05-03 19:42:05.000000000 +0200
@@ -6,8 +6,13 @@
 (define-foreign-type my-double-type ()
   ()
   (:actual-type :double)
-  (:simple-parser my-double))
-                                                                              
+  #-sbcl (:simple-parser my-double))
+
+;;; work around for SBCL + asdf-install (PH, 05.2008)
+
+#+sbcl (define-parse-method my-double (&rest cffi::args)
+  (apply #'make-instance 'my-double-type cffi::args))
+
 (defmethod translate-to-foreign (value (type my-double-type))
   (coerce value 'double-float))
 
diff -Naur -x '*.fasl' -x '*.o' -x '*.so' -x '*~' -x '*.lpr' -x '*.png' -x '.cvs*' -x 'CVS*' cl-cairo2-latest.org/gtk-context.lisp cl-cairo2-latest/gtk-context.lisp
--- cl-cairo2-latest.org/gtk-context.lisp	2008-05-03 19:28:52.000000000 +0200
+++ cl-cairo2-latest/gtk-context.lisp	2008-05-03 19:43:41.000000000 +0200
@@ -5,7 +5,7 @@
 ;; written by Peter Hildebrandt <peter.hildebrandt@washbear-network.de>
 
 (define-foreign-library :gdk
-  (cffi-features:unix "libgdk-x11-2.0.so")
+  (cffi-features:unix (:or "libgdk-x11-2.0.so" "libgdk-x11-2.0.so.0"))
   (cffi-features:windows "libgdk-win32-2.0-0.dll")
   (cffi-features:darwin "libgdk-win32-2.0-0.dylib"))
 
diff -Naur -x '*.fasl' -x '*.o' -x '*.so' -x '*~' -x '*.lpr' -x '*.png' -x '.cvs*' -x 'CVS*' cl-cairo2-latest.org/xlib.lisp cl-cairo2-latest/xlib.lisp
--- cl-cairo2-latest.org/xlib.lisp	2008-05-03 19:28:51.000000000 +0200
+++ cl-cairo2-latest/xlib.lisp	2008-05-03 19:27:58.000000000 +0200
@@ -4,7 +4,7 @@
 ;;;; a limited interface to certain Xlib functions
 ;;;;
 
-(load-foreign-library "libX11.so")
+(load-foreign-library '(:or "libX11.so" "libX11.so.6"))
 
 ;;;; types
 
